/*------------------------------------------------------------------------------
 bin/djv_view/shortcut_etc.cxx

 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include "shortcut.h"

namespace djv_view {
namespace shortcut {

const List<Str> & label_shortcut()
{
  static const List<Str> data = List<Str>() <<
    "Exit" <<
    "File Open" <<
    "File Reload" <<
    "File Save" <<
    "File Save Frame" <<
    "File Close" <<
    "File Layer Default" <<
    "File Layer 1" <<
    "File Layer 2" <<
    "File Layer 3" <<
    "File Layer 4" <<
    "File Layer 5" <<
    "File Layer 6" <<
    "File Layer 7" <<
    "File Layer 8" <<
    "File Layer 9" <<
    "File Layer 10" <<
    "File Layer Previous" <<
    "File Layer Next" <<
    "File Proxy None" <<
    "File Proxy 1/2" <<
    "File Proxy 1/4" <<
    "File Proxy 1/8" <<
    "Window New" <<
    "Window Copy" <<
    "Window Close" <<
    "Window Fit" <<
    "Window Fullscreen" <<
    "Window Toolbar" <<
    "Window Playbar" <<
    "View Left" <<
    "View Right" <<
    "View Up" <<
    "View Down" <<
    "View Center" <<
    "View Zoom In" <<
    "View Zoom Out" <<
    "View Zoom Reset" <<
    "View Reset" <<
    "View Fit" <<
    "View HUD" <<
    "Image Frame Store" <<
    "Image Frame Store Load" <<
    "Image Mirror Horizontal" <<
    "Image Mirror Vertical" <<
    "Image Scale None" <<
    "Image Scale 16:9" <<
    "Image Scale 1.85" <<
    "Image Scale 2.35" <<
    "Image Rotate 0" <<
    "Image Rotate 90" <<
    "Image Rotate 180" <<
    "Image Rotate 270" <<
    "Image Profile" <<
    "Image Channel Default" <<
    "Image Channel 1" <<
    "Image Channel 2" <<
    "Image Channel 3" <<
    "Image Channel 4" <<
    "Image Display" <<
    "Image Display Reset" <<
    "Image Display 1" <<
    "Image Display 2" <<
    "Image Display 3" <<
    "Image Display 4" <<
    "Image Display 5" <<
    "Image Display 6" <<
    "Image Display 7" <<
    "Image Display 8" <<
    "Image Display 9" <<
    "Image Display 10" <<
    "Image Magnify" <<
    "Image Sample" <<
    "Image Histogram" <<
    "Image Information" <<
    "Playback Stop" <<
    "Playback Forward" <<
    "Playback Reverse" <<
    "Playback Start" <<
    "Playback Start Absolute" <<
    "Playback End" <<
    "Playback End Absolute" <<
    "Playback Previous" <<
    "Playback Previous X10" <<
    "Playback Previous X100" <<
    "Playback Next" <<
    "Playback Next X10" <<
    "Playback Next X100" <<
    "Playback In Point Mark" <<
    "Playback In Point Reset" <<
    "Playback Out Point Mark" <<
    "Playback Out Point Reset";
  return data;
}

const Str
  prefs_title = "Application";

}
}

