/*------------------------------------------------------------------------------
 plugin/djv_png/etc.cxx
 
 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include "base.h"

namespace djv_png {

extern "C" {

void djv_png_error(png_structp in, png_const_charp msg)
{
  Png_Error * error = (Png_Error *)in->error_ptr;
  SNPRINTF(error->msg, str::cstr_size, "%s", msg);
  longjmp(in->jmpbuf, 1);
}

void djv_png_warning(png_structp in, png_const_charp msg)
{
  Png_Error * error = (Png_Error *)in->error_ptr;
  SNPRINTF(error->msg, str::cstr_size, "%s", msg);
  longjmp(in->jmpbuf, 1);
}

}

}

